For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all service requests
        • POSTCreate service request
        • GETGet a service request by ID
        • PUTUpdate service request
        • GETGet all service request categories
        • GETGet service request category by ID
        • GETGet all service request history
        • POSTCreate service request history
        • GETGet service request history by ID
        • GETGet all service request priorities
        • GETGet service request priority by ID
        • GETGet all service request statuses
        • GETGet service request status by ID
        • GETGet all service request locations
        • GETGet a service request location by ID
        • GETGet all service request problems
        • GETGet a service request problem by ID
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsService Requests

Get all service request categories

GET
/v1/service-request-categories/
GET
/v1/service-request-categories/
$curl https://api.propexo.com/v1/service-request-categories/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
14 "created_at": "2023-11-01T09:15:00Z",
15 "updated_at": "2024-05-20T16:45:00Z",
16 "last_seen": "2024-06-10T12:00:00Z",
17 "x_id": "SR123456",
18 "x_property_id": "PROP78910",
19 "x_location_id": "LOC456789",
20 "code": "PLMB",
21 "description": "Plumbing related service requests including leaks and clogs",
22 "is_active": true,
23 "name": "Plumbing",
24 "integration_id": "int-987654321",
25 "integration_vendor": "APPFOLIO",
26 "property_id": "prop-123456789"
27 }
28 ]
29}
Get all service request categories
Was this page helpful?
Previous

Get service request category by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error